> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update script template

> Updates a script template in your organization.



## OpenAPI

````yaml put /summarization_settings_templates/{slug}
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /summarization_settings_templates/{slug}:
    parameters:
      - name: slug
        in: path
        description: The numeric ID of your summarization settings template
        required: true
        schema:
          type: string
    put:
      tags:
        - Script templates
      summary: Update script template
      description: Updates a script template in your organization.
      operationId: summarization_settings_templates#update
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/requestBodySummarizationSettingsTemplateUpdate
            examples:
              example:
                $ref: >-
                  #/components/examples/requestSummarizationSettingsTemplateExample
      responses:
        '200':
          description: successful
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/summarizationSettingsTemplateExample'
              schema:
                $ref: '#/components/schemas/summarizationSettingsTemplateModel'
      security:
        - apiKey: []
components:
  schemas:
    requestBodySummarizationSettingsTemplateUpdate:
      type: object
      properties:
        slug:
          type: string
        name:
          type: string
        prompt:
          type: string
          maxLength: 3000
        temperature:
          type: number
          minimum: 0
          maximum: 2
        limit_token_usage:
          type: integer
          minimum: 1
          maximum: 500
        model:
          type: string
          enum:
            - gpt-5-nano
            - gpt-5-mini
            - gpt-5
            - gpt-5.1
    summarizationSettingsTemplateModel:
      type: object
      properties:
        id:
          type: integer
        slug:
          type: string
          description: Unique identifier for the object
        name:
          type: string
          nullable: false
        model:
          type: string
          enum:
            - gpt-5-nano
            - gpt-5-mini
            - gpt-5
            - gpt-5.1
          nullable: true
        prompt:
          type: string
          nullable: true
          description: Custom prompt for AI summarization generation
          maxLength: 3000
        temperature:
          type: number
          nullable: true
          description: >-
            Controls randomness in AI summarization (0.0 = deterministic, 2.0 =
            very random)
          minimum: 0
          maximum: 2
        limit_token_usage:
          type: integer
          nullable: true
          description: Maximum number of tokens to use for AI summarization
          minimum: 1
          maximum: 500
  examples:
    requestSummarizationSettingsTemplateExample:
      summary: Sample creation of a summarization settings template
      value:
        name: Test template new
        prompt: Prompt example new
        temperature: 1.1
        limit_token_usage: 250
    summarizationSettingsTemplateExample:
      summary: A sample summarization settings template response
      value:
        id: 1
        name: Test template 1
        slug: test_template_1
        prompt: Prompt example
        temperature: 1
        limit_token_usage: 500
        created: 2023-01-01 00:00:00 UTC
        updated: 2023-01-01 00:00:05 UTC
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````